Name:		liblcms2
Version:	2.4
Release:	1%{?dist}

Summary:	Color Management Engine
License:	MIT
Group:		System Environment/Libraries
URL:		http://www.littlecms.com/
Source0:	http://www.littlecms.com/lcms2-2.4.tar.gz
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel
Provides:	lcms2 = %{version}-%{release}
Obsoletes:	lcms2 < %{version}-%{release}


%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.


%package -n lcms2-utils
Summary:	Utility applications for liblcms2
Group:		Applications/Productivity


%description -n lcms2-utils
The lcms2-utils package contains utility applications using liblcms2.


%package devel
Summary:	Development files for LittleCMS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	lcms2-devel = %{version}-%{release}
Obsoletes:	lcms2-devel < %{version}-%{release}


%description devel
Development files for LittleCMS.


%prep
%setup -q -n lcms2-%{version}


%build
%configure \
    --disable-static \
    --program-suffix=2
# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
install -D -m 644 include/lcms2.h %{buildroot}%{_includedir}/lcms2.h
install -D -m 644 include/lcms2_plugin.h %{buildroot}%{_includedir}/lcms2_plugin.h
# install docs as this is all we've got
install -D -m 644 doc/LittleCMS2.4\ tutorial.pdf %{buildroot}%{_defaultdocdir}/%{name}-devel-%{version}/tutorial.pdf
install -D -m 644 doc/LittleCMS2.?\ API.pdf %{buildroot}%{_defaultdocdir}/%{name}-devel-%{version}/api.pdf
install -D -m 644 doc/LittleCMS2.?\ Plugin\ API.pdf %{buildroot}%{_defaultdocdir}/%{name}-devel-%{version}/plugin-api.pdf


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING
%{_libdir}/liblcms2.so.2
%{_libdir}/liblcms2.so.2.0.4


%files -n lcms2-utils
%defattr(-,root,root,0755)
%{_bindir}/jpgicc2
%{_bindir}/linkicc2
%{_bindir}/psicc2
%{_bindir}/tificc2
%{_bindir}/transicc2
%{_mandir}/man1/jpgicc2.1.gz
%{_mandir}/man1/tificc2.1.gz


%files devel
%defattr(-,root,root,0755)
%{_defaultdocdir}/%{name}-devel-%{version}/*.pdf
%{_includedir}/lcms2.h
%{_includedir}/lcms2_plugin.h
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/lcms2.pc


%changelog
* Tue Sep 18 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 2.4-1
- imported from Fedora
- cleaned up spec-file

